Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Native Development

Reply
Developer
ekke
Posts: 1,520
Registered: ‎04-08-2010
My Device: Z10 (red Limited Edition), Q10, Z30
My Carrier: Telekom.de, O2, Vodafone

Gold 10.1 and support 10.0

Now as Gold 10.1 is out I have a last question ;-)

 

If I want to submit 10.0 and 10.1 Versions to BlackBerry World to support users not using the newest OS,

can I do this from 10.1 Gold or do I need 10.0 Gold, too ?

 

From my understanding:

Selecting one of the 10.0 SDKs inside 10.1 Gold IDE will compile against 10.0 API and cerate a 10.0 APP

and

selecting one of the 10.1 SDKs inside 10.1 Golde IDE will compile against 10.1 API and create a 10.1 APP

 

OR is it the same as with the 10.1 Betas and I have to use the 10.0 Gold IDE to create 10.0 APPs ?

If I understood Mark Sohm right from the discussions about 10.1 Beta and 10.0 Gold and not to mix these - this was only because of the Beta. Using Gold will always support lower Versions, too.

 

thx for clarifying

-------------------------------------------------------------------------------
ekke (independent software architect, rosenheim, germany)

BlackBerry Elite Developer
International Development Mobile Apps BlackBerry 10 Cascades
Cascades - Workshops / Trainings / Bootcamps

Open Source Enthusiast
blog: http://ekkes-corner.org videos: http://www.youtube.com/user/ekkescorner
bb10-development: http://appbus.org Twitter: @ekkescorner
Please use plain text.
Developer
StevenKader
Posts: 638
Registered: ‎02-03-2010
My Device: Z10 LE

Re: Gold 10.1 and support 10.0

Not sure but I think it may be less confusing if there were different number scheme for the SDK and the OS level.  

 

SDK-V1  (first Gold Release)

SDK-V2  (latest Gold Release)

SDK-V3 (next Gold Release)

 

Now the question is can you use SDK-V2 to build and release apps for OS level 10.0 or just 10.1 ?

 

May be better than asking can I use SDK 10.1 to build and release apps for 10.0 and 10.1.


Steven Kader at JaredCo
   Follow me on Twitter    |     Mipixi.com :  Web App for Photo Sharing
Please use plain text.
Developer
ekke
Posts: 1,520
Registered: ‎04-08-2010
My Device: Z10 (red Limited Edition), Q10, Z30
My Carrier: Telekom.de, O2, Vodafone

Re: Gold 10.1 and support 10.0


JaredCo wrote:

Not sure but I think it may be less confusing if there were different number scheme for the SDK and the OS level.  

 

SDK-V1  (first Gold Release)

SDK-V2  (latest Gold Release)

SDK-V3 (next Gold Release)

 

Now the question is can you use SDK-V2 to build and release apps for OS level 10.0 or just 10.1 ?

 

May be better than asking can I use SDK 10.1 to build and release apps for 10.0 and 10.1.


I meant:

 

can I use IDE 10.1 and select SDK 10.0 to build 10.0 releases

 

also we knowe from the last months that creating a new project was different from version to version -

so: is it safe to create a new project inside 10.1 IDE and then compile and build against a 10.0 SDK to get a 10.0 Release ?

-------------------------------------------------------------------------------
ekke (independent software architect, rosenheim, germany)

BlackBerry Elite Developer
International Development Mobile Apps BlackBerry 10 Cascades
Cascades - Workshops / Trainings / Bootcamps

Open Source Enthusiast
blog: http://ekkes-corner.org videos: http://www.youtube.com/user/ekkescorner
bb10-development: http://appbus.org Twitter: @ekkescorner
Please use plain text.
Developer
StevenKader
Posts: 638
Registered: ‎02-03-2010
My Device: Z10 LE

Re: Gold 10.1 and support 10.0

Sorry....I didn't mean to say you weren't clear...just pointing out that the BlackBerry naming convention may be confusing and perhaps using different naming schemes for SDK and OS levels would help.


Steven Kader at JaredCo
   Follow me on Twitter    |     Mipixi.com :  Web App for Photo Sharing
Please use plain text.
Developer
ekke
Posts: 1,520
Registered: ‎04-08-2010
My Device: Z10 (red Limited Edition), Q10, Z30
My Carrier: Telekom.de, O2, Vodafone

Re: Gold 10.1 and support 10.0

just played something with the 10.1 Gold IDE,

selected 10.0.x SDK

and all worked well on Z10

 

so it seems its ok to switch to 10.1 IDE for 10.0 and 10.1 development

 

one question:

there are some changes in .pro (and perhaps more I haven't noticed yet)

 

is it recommended to create projects new from 10.1 IDE and copy 'old' sources and assets into - even for 10.0 releases ?

 

-------------------------------------------------------------------------------
ekke (independent software architect, rosenheim, germany)

BlackBerry Elite Developer
International Development Mobile Apps BlackBerry 10 Cascades
Cascades - Workshops / Trainings / Bootcamps

Open Source Enthusiast
blog: http://ekkes-corner.org videos: http://www.youtube.com/user/ekkescorner
bb10-development: http://appbus.org Twitter: @ekkescorner
Please use plain text.
Developer
StevenKader
Posts: 638
Registered: ‎02-03-2010
My Device: Z10 LE

Re: Gold 10.1 and support 10.0

I got this back from someone in development : 

 

"Until the Z10 gets 10.1, the general recommendation is to not use the 10.1 SDK for development; it is primarily intended for the Q10 currently."


Steven Kader at JaredCo
   Follow me on Twitter    |     Mipixi.com :  Web App for Photo Sharing
Please use plain text.
Developer
ekke
Posts: 1,520
Registered: ‎04-08-2010
My Device: Z10 (red Limited Edition), Q10, Z30
My Carrier: Telekom.de, O2, Vodafone

Re: Gold 10.1 and support 10.0


JaredCo wrote:

I got this back from someone in development : 

 

"Until the Z10 gets 10.1, the general recommendation is to not use the 10.1 SDK for development; it is primarily intended for the Q10 currently."


If you now go to Cascades Downloads there's only the 10.1 Gold

 

-------------------------------------------------------------------------------
ekke (independent software architect, rosenheim, germany)

BlackBerry Elite Developer
International Development Mobile Apps BlackBerry 10 Cascades
Cascades - Workshops / Trainings / Bootcamps

Open Source Enthusiast
blog: http://ekkes-corner.org videos: http://www.youtube.com/user/ekkescorner
bb10-development: http://appbus.org Twitter: @ekkescorner
Please use plain text.
Developer
laurentC
Posts: 266
Registered: ‎02-05-2010
My Device: Blackberry Z10

Re: Gold 10.1 and support 10.0

It's also very confusing for me but I think ekke is right.

From what I understand, you can target old os with the gold 10.1 sdk (you need to select 10.0.9.xxxx target), but it's not recommended, because if you are using new api functionnalities your project will compile but will not run on Z10 devices with 10.0.9.xxxx os.

Twitter : @LaurentKP
My apps
Please use plain text.
Developer
ekke
Posts: 1,520
Registered: ‎04-08-2010
My Device: Z10 (red Limited Edition), Q10, Z30
My Carrier: Telekom.de, O2, Vodafone

Re: Gold 10.1 and support 10.0


laurentC wrote:

It's also very confusing for me but I think ekke is right.

From what I understand, you can target old os with the gold 10.1 sdk (you need to select 10.0.9.xxxx target), but it's not recommended, because if you are using new api functionnalities your project will compile but will not run on Z10 devices with 10.0.9.xxxx os.


I haven't tried this yet, but from my understanding if you select a 10.0 SDK a project shouldn't compile if 10.1 features are used.

as of today I made all running on Q10 and Z10 using 10.0 API, but of course will use new features soon.

-------------------------------------------------------------------------------
ekke (independent software architect, rosenheim, germany)

BlackBerry Elite Developer
International Development Mobile Apps BlackBerry 10 Cascades
Cascades - Workshops / Trainings / Bootcamps

Open Source Enthusiast
blog: http://ekkes-corner.org videos: http://www.youtube.com/user/ekkescorner
bb10-development: http://appbus.org Twitter: @ekkescorner
Please use plain text.
Developer
Developer
tw_
Posts: 42
Registered: ‎05-17-2012
My Device: Playbook, Dev Alpha A

Re: Gold 10.1 and support 10.0

[ Edited ]

ekke wrote:

Now as Gold 10.1 is out I have a last question ;-)

 

If I want to submit 10.0 and 10.1 Versions to BlackBerry World to support users not using the newest OS,

can I do this from 10.1 Gold or do I need 10.0 Gold, too ?

 

From my understanding:

Selecting one of the 10.0 SDKs inside 10.1 Gold IDE will compile against 10.0 API and cerate a 10.0 APP

and

selecting one of the 10.1 SDKs inside 10.1 Golde IDE will compile against 10.1 API and create a 10.1 APP

 

[...]


This is my understanding too from reading the 10.1 release notes:

https://developer.blackberry.com/cascades/download/releasenotes/

 

I think they spell this out clearly. Optionally you can keep the 10.0 SDK by installing the 10.1 SDK in a different folder. This is what I'm going to do right now. Once I'm sure that everything works in 10.1 I will remove the 10.0 SDK.

Please use plain text.